# Interface methods for submodule: GDCMImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: GDCMImageIO
class GDCMImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, pointer) -> None:
		""""""
		...

	def GetInternalComponentType(self):
		""""""
		...

	def SetInternalComponentType(self, _arg) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def GetRescaleSlope(self) -> float:
		""""""
		...

	def GetRescaleIntercept(self) -> float:
		""""""
		...

	def GetUIDPrefix(self):
		""""""
		...

	@overload
	def SetUIDPrefix(self, _arg) -> None:
		""""""
		...

	@overload
	def SetUIDPrefix(self, _arg: str) -> None:
		""""""
		...

	def GetStudyInstanceUID(self):
		""""""
		...

	def GetSeriesInstanceUID(self):
		""""""
		...

	def GetFrameOfReferenceInstanceUID(self):
		""""""
		...

	def SetKeepOriginalUID(self, _arg: bool) -> None:
		""""""
		...

	def GetKeepOriginalUID(self) -> bool:
		""""""
		...

	def KeepOriginalUIDOn(self) -> None:
		""""""
		...

	def KeepOriginalUIDOff(self) -> None:
		""""""
		...

	def SetLoadPrivateTags(self, _arg: bool) -> None:
		""""""
		...

	def GetLoadPrivateTags(self) -> bool:
		""""""
		...

	def LoadPrivateTagsOn(self) -> None:
		""""""
		...

	def LoadPrivateTagsOff(self) -> None:
		""""""
		...

	def SetReadYBRtoRGB(self, _arg: bool) -> None:
		""""""
		...

	def GetReadYBRtoRGB(self) -> bool:
		""""""
		...

	def ReadYBRtoRGBOn(self) -> None:
		""""""
		...

	def ReadYBRtoRGBOff(self) -> None:
		""""""
		...

	def GetValueFromTag(self, tag: str, value: str) -> bool:
		""""""
		...

	@staticmethod
	def GetLabelFromTag(tag: str, labelId: str) -> bool:
		""""""
		...

	def SetCompressionType(self, _arg) -> None:
		""""""
		...

	def GetCompressionType(self):
		""""""
		...

	def InternalSetCompressor(self, _compressor: str) -> None:
		""""""
		...

